#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-plugins-bad-1.20.0

- Next

  gst-libav-1.20.0

- Up
- Home

# gst-plugins-ugly-1.20.0

## Introduction to GStreamer Ugly Plug-ins

The GStreamer Ugly Plug-ins is a set of plug-ins considered by the GStreamer developers to have good quality and correct functionality, but distributing them might pose problems. The license on either the plug-ins or the supporting libraries might not be how the GStreamer developers would like. The code might be widely known to present patent problems.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-1.20.0.tar.xz

- Download MD5 sum: 151fbd3e96783909e371e7a6aef87bc2

- Download size: 492 KB

- Estimated disk space required: 9.8 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

### GStreamer Ugly Plug-ins Dependencies

#### Required

gst-plugins-base-1.20.0

#### Recommended

liba52-0.7.4 (needed to play DVD's), libdvdread-6.1.2, and x264-20220219

#### Optional

libmpeg2-0.5.1, libcdio-2.1.0 (for CD-ROM drive access), Valgrind-3.18.1, hotdoc, libsidplay, OpenCore AMR, Orc, and TwoLame

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gst10-plugins-ugly

## Installation of GStreamer Ugly Plug-ins

### Note

If you do not have an Objective-C compiler installed, the build system for this package will emit a warning about a failed sanity check. This is harmless, and it is safe to continue.

### Note

If you need a plugin for a given dependency, that dependency needs to be installed before this package.

Install GStreamer Ugly Plug-ins by running the following commands:

    mkdir build &&
    cd    build &&

    meson  --prefix=/usr       \
           --buildtype=release \
           -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/svn/ \
           -Dpackage-name="GStreamer 1.20.0 BLFS" &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: None
Installed Libraries: Several plugins under /usr/lib/gstreamer-1.0
Installed Directories: None

Last updated on

- Prev

  gst-plugins-bad-1.20.0

- Next

  gst-libav-1.20.0

- Up
- Home